## org.jboss.netty.channel.socket
Interface ServerSocketChannelFactory

All Superinterfaces:
  ChannelFactory, ExternalResourceReleasable, ServerChannelFactory

All Known Implementing Classes:
  NioServerSocketChannelFactory, OioServerSocketChannelFactory

    public interface ServerSocketChannelFactory

extends ServerChannelFactory

A `ChannelFactory` which creates a `ServerSocketChannel`.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`ServerSocketChannel` `newChannel(ChannelPipeline pipeline)` Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

Methods inherited from interface org.jboss.netty.channel.ChannelFactory
`releaseExternalResources`

Method Detail

### newChannel

    ServerSocketChannel newChannel(ChannelPipeline pipeline)

  Description copied from interface: `ChannelFactory`
  Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

  Specified by:
    `newChannel` in interface `ChannelFactory`
  Specified by:
    `newChannel` in interface `ServerChannelFactory`
  Parameters:
    `pipeline` - the `ChannelPipeline` which is going to be attached to the new `Channel`
  Returns:
    the newly open channel

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.